Page MenuHomePhabricator

Adding subsections to the Licensing section causes Summary header to disappear
Closed, ResolvedPublic

Description

On some pages, the Summary header and its corresponding edit link are missing. After some initial testing, it appears this is caused when the Licensing section for the file in question has subsections. The likely suspect seems to be something to do with caption rendering, but it may not be.

See the bug in action on these two files:

https://commons.wikimedia.org/wiki/File:Ang_Base_ng_Patrulyang_Pambaybayin_1939_NHCP_Historical_Marker.png

and

https://commons.wikimedia.org/wiki/File:Jose_Maria_Panganiban_historical_marker_in_Jose_Panganiban,_Camarines_Norte.jpg

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 20 2019, 8:19 AM
Ramsey-WMF triaged this task as Medium priority.Feb 20 2019, 8:19 AM
Ramsey-WMF moved this task from Untriaged to Triaged on the Multimedia board.
Ramsey-WMF updated the task description. (Show Details)
Ha78na claimed this task.Feb 26 2019, 7:46 PM

Change 493336 had a related patch set uploaded (by Ha78na; owner: Ha78na):
[mediawiki/extensions/WikibaseMediaInfo@master] Add overflow:auto to contain css floats

https://gerrit.wikimedia.org/r/493336

I struggled to get my local environment with enough and the right content in it to replicate this bug locally. However, this change fixes things via chrome dev tools on the affected pages.

Change 493336 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Add overflow:auto to contain css floats

https://gerrit.wikimedia.org/r/493336

@matthiasmullie when is this expected to hit Beta?

It already is on beta. And will hit production next Wed.

Tested on Beta. Seems to work. Will test again on production.

Ramsey-WMF closed this task as Resolved.Mar 7 2019, 8:10 PM

Tested on production and works just fine.

Cparle moved this task from Triaged to Tracking on the Multimedia board.Mar 28 2019, 4:49 PM